#!/bin/bash

if [ $(id -u)  -ne 0 ]; then
	echo "Please run this script as root";
	exit 1;
fi

if [ $# -eq 0 ]; then
	echo "Please add a Heimdal license key argument"
	exit 1;
fi

mkdir tmp
cd tmp
wget https://heimdalprodstorage.blob.core.windows.net/setup-dnsnext/LogAgent_Ubuntu.zip 
unzip LogAgent_Ubuntu.zip
rm LogAgent_Ubuntu.zip

chmod +x DnsNext.LogAgent

#validate license
./DnsNext.LogAgent /i $1 /validateLicense

if [ $? != 0 ]; then
	echo "Invalid license key"
	rm -rf ../tmp
	exit 1;
fi

mkdir -p /opt/dnsnext/heimdal-logagent
cp -r . /opt/dnsnext/heimdal-logagent

libpcapInstalled=$(dpkg-query -W -f='${Status}' libpcap-dev 2>/dev/null | grep -c "ok installed")
if [ $libpcapInstalled -eq 0 ]; then
	echo "The libpcap is not installed, will be installed now"
	apt-get install libpcap-dev
	touch /opt/dnsnext/installedPackage.txt
fi

cp -f /opt/dnsnext/heimdal-logagent/heimdal-logagent.service /etc/systemd/system/heimdal-logagent.service
systemctl daemon-reload
systemctl enable heimdal-logagent
systemctl start heimdal-logagent

cd ..
rm -rf tmp
exit 0;